Subject: [bug#49339] [PATCH core-updates] gnu: mesa: Update to 21.1.4.

From: John Kehayias <[email-masked]>
Date: Sat, 31 Jul 2021 14:01:46 +0000

Hi Ludo’,

On Saturday, July 31st, 2021 at 6:33 AM, Ludovic Courtès <[email-masked]> wrote:

> Hi John,
>
> John Kehayias [email-masked] skribis:
>
> > gnu: mesa: Update to 21.1.6.
> >
> > -   gnu/packages/gl.scm (mesa): Update to 21.1.6.
> > -   gnu/packages/patches/mesa-skip-tests.patch: Remove cache_test.c as it is no
> >
> >     longer needed (test passes).
>
> Applied, thanks!
>

Great, thank you!

> [...]
>
> > -           "-Dosmesa=gallium"
> >
> >
> >
> > -           "-Dosmesa=true"
> >
> >
>
> Is this expected to change anything feature-wise?
>

Mesa at v21 removed the software OSMesa driver (see https://www.phoronix.com/scan.php?page=news_item&px=Classic-OSMesa-Retires ). We were already using the gallium driver so I think there is no change for us, but the compile flag changed to a boolean: true for what was before gallium, based on my reading of the change https://cgit.freedesktop.org/mesa/mesa/commit/?id=ee802372180a2b4460cc7abb53438e45c6b6f1e4

> BTW, please generate the patch with ‘git format-patch’ next time; that
>
> makes it easier to apply with ‘git am’.
>

Will do, sorry about that (I think I did do that but may have manually altered the header).

By the way, I'm looking now and see mesa-opencl failing, I'll take a look (perhaps an option change or library location?).

John